Summary: The Enlightenment window manager
Name: enlightenment
Version: 0.16.999.040
Release: 0.%(date '+%Y%m%d')
License: BSD
Group: User Interface/Desktops
URL: http://www.enlightenment.org/
Source: ftp://ftp.enlightenment.org/pub/enlightenment/%{name}-%{version}.tar.gz
Source1: default.edj
Source2: darkness_e17_init_by_saturn_vk.edj 
Source3: clearlooks.edj

Patch: e-YDL-defaults.patch
Patch1: e-YDL-about.patch
Patch2: enlightenment-nodesktop.diff

Packager: %{?_packager:%{_packager}}%{!?_packager:Michael Jennings <mej@eterm.org>}
Vendor: %{?_vendorinfo:%{_vendorinfo}}%{!?_vendorinfo:The Enlightenment Project (http://www.enlightenment.org/)}
Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
Prefix: %{_prefix}
#BuildSuggests: xorg-x11-devel, XFree86-devel
BuildRequires: evas-devel, edje-devel, edje-bin, ecore-devel, eet-devel
BuildRequires: embryo-devel, embryo-bin, libX11-devel
Requires: evas-module_loader_eet evas-module_saver_eet
Requires: evas-module_loader_png evas-module_saver_png
Requires: evas-module_loader_jpeg evas-module_saver_jpeg
Requires: evas-module_engine_software_x11 evas-module_engine_buffer
Requires: enlightenment-defaults
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Enlightenment is a window manager.

%package devel
Summary: Development headers for Enlightenment. 
Group: User Interface/Desktops
Requires: %{name} = %{version}
Requires: evas-devel, edje-devel, ecore-devel, eet-devel, embryo-devel

%description devel
Development headers for Enlightenment.

%prep
%setup -q
%patch
%patch1
%patch2 -p1

%build
%{configure} --prefix=%{_prefix}  --with-profile=FAST_PC
%{__make} %{?_smp_mflags} %{?mflags}

%install
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install
test -x `which doxygen` && sh gendoc || :
rm -f `find $RPM_BUILD_ROOT/%{_libdir}/enlightenment -name "*.a" -print`
rm -f `find $RPM_BUILD_ROOT/%{_libdir}/enlightenment -name "*.la" -print`


# YDL specific stuff

# Remove default applications.tar.gz and sysactions.conf - Provided by enlightenment-defaults.
rm -f $RPM_BUILD_ROOT/%{_datadir}/enlightenment/data/other/applications.tar.gz
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/enlightenment/*

mv $RPM_BUILD_ROOT/%{_datadir}/enlightenment/data/themes/default.edj $RPM_BUILD_ROOT/%{_datadir}/enlightenment/data/themes/blingbling.edj
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/enlightenment/data/themes/default.edj
cp %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/enlightenment/data/init/default.edj
cp %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/enlightenment/data/init/
cp %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/enlightenment/data/themes/clearlooks.edj

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING-PLAIN README
#%dir %{_sysconfdir}/enlightenment
#%config(noreplace) %{_sysconfdir}/enlightenment/*
%{_bindir}/enlightenment
%{_bindir}/enlightenment_*
#%{_bindir}/eap_to_desktop
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/locale/*
%{_datadir}/xsessions/%{name}.desktop

%files devel
%defattr(-, root, root)
%{_bindir}/enlightenment-config
%{_includedir}/enlightenment

%changelog
